Subject: Re: [PATCH v5 0/6] meson: add corresponding target for Makefile's hdr-check

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Apr 2025 14:54:01 -0700

Karthik Nayak <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Junio C Hamano <[email-masked]> writes:
>>
>>> As it takes quite a lot of time to do full integration of the day,
>>> during which time GitHub CI is idle, I pushed this branch alone as
>>> if it were the tip of 'seen', and it seems that quite a lot of CI
>>> jobs are now broken,
>>>
>>> https://github.com/git/git/actions/runs/14624509129/
>>>
>>> with "Process completed with exit code 8." at the end of
>>> ci/install-dependencies.sh step.
>>
>> Yuck.  It's JGit download that is failing.
>
> Sigh! I did test on GitHub [1], before pushing the patches to the
> mailing list, so I was really sad to see your first mail. Now I'm not
> sure if I have good luck or bad luck!
>
> [1]: https://github.com/gitgitgadget/git/actions/runs/14604710114/

Yeah, sorry for a false alarm.  

With jgit download temporarily disabled, and with all the recent CI
fixes (like Ubuntu 20.04 updated to newer version, explicitly
installing gawk to fedora environment), most of the tests are
passing again, except for linux-musl-meson:

  https://github.com/git/git/actions/runs/14627488066

I would expect win+Meson test (2) would time out again; I do not
know what is wrong with Windows and have no time to dig further
there.

The tree getting tested in the above run is 'master' with these 6
patches merged in, nothing else.

Thanks.